CVE-2017-1427

IBM Cognos Analytics 11.0 is vulnerable to cross-site scripting. This vulnerability allows users to embed arbitrary JavaScript code in the Web UI thus altering the intended functionality potentially leading to credentials disclosure within a trusted session. IBM X-Force ID: 127579.

Published : 2017-08-29 21:29 Updated : 2017-09-01 15:19

4.3
CVSS Score More info
Score 4.3 / 10
4.3
Vendor Product Version URI
Ibm Cognos Analytics 11.0.3 cpe:/a:ibm:cognos_analytics:11.0.3
Ibm Cognos Analytics 11.0.2 cpe:/a:ibm:cognos_analytics:11.0.2
Ibm Cognos Analytics 11.0.1 cpe:/a:ibm:cognos_analytics:11.0.1
Ibm Cognos Analytics 11.0.0 cpe:/a:ibm:cognos_analytics:11.0.0
Ibm Cognos Analytics 11.0.6 cpe:/a:ibm:cognos_analytics:11.0.6
Ibm Cognos Analytics 11.0.5 cpe:/a:ibm:cognos_analytics:11.0.5
Ibm Cognos Analytics 11.0.4 cpe:/a:ibm:cognos_analytics:11.0.4
  1. Ibm (1) Search CVE
    1. Cognos Analytics (7) Search CVE
      1. 11.0.3
      2. 11.0.2
      3. 11.0.1
      4. 11.0.0
      5. 11.0.6
      6. 11.0.5
      7. 11.0.4

CWE

ID Name Description Links
CWE-79 Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') The software does not neutralize or incorrectly neutralizes user-controllable input before it is placed in output that is used as a web page that is served to other users. CVE

History of changes

Date Event
2017-09-01 16:58
2017-08-29 21:29

New CVE